# package\_show

The `package_show` endpoint retrieves complete metadata for a single dataset, including all resources, tags, and relationships.

**Base URL:** `https://data.humdata.org/api/action/package_show`

**Method:** GET or POST

## Use Cases

* **Dataset details:** Get comprehensive information about a specific dataset like the date last updated
* **Resource enumeration:** List all files and resources in a dataset
* **Metadata extraction:** Extract specific fields for analysis or cataloging like countries or time period
* **Validation:** Check dataset properties before processing for downstream access like Tabular Data Endpoints access

## Parameters

| **Parameter** | **Type** | **Required** | **Description**                                      |
| ------------- | -------- | ------------ | ---------------------------------------------------- |
| `id`          | string   | Yes          | Dataset ID or URL name (can be used interchangeably) |

## Key Response Fields

There are some key response fields returned from the API response which give insight into the dataset. Below are some key responses but the list is not exhaustive.

* **dataset\_date:** Dataset time period
* **data\_update\_frequency:** How often the dataset is updated
* **cod\_level:** Flag for COD datasets
* **notes:** Dataset description/abstract
* **license\_id** and **license\_title**: Data usage license
* **maintainer** and **maintainer\_email**: Contact information
* **resources**: Detailed information about each file
  * **size**: File size in bytes
  * **download\_url**: Direct download link (see File URL section here )
* **organization**: Full organization details including package count

### Sample Query

`https://data.humdata.org/api/action/package_show?id=cod-ab-pak`

## Common use cases

The Metadata endpoints are very flexible and can be used in many different types of processes in the humanitarian sector. See specific URLs and code examples below in Python and Javascript.&#x20;

Note that you do not need to be signed into HDX to access the endpoints directly in your browser or need an API token unless you hit the rate limit of 60 requests per minute.

### Direct URLs

These examples show some specific use-cases of how to configure the URL to query the HDX catalogue for specific humanitarian use-cases.

1. **Search HDX for the most recently updated datasets of South Sudan for returnees data**

`https://data.humdata.org/api/action/package_search?q=returnees&fq=groups:ssd&sort=metadata_modified%20desc&rows=5`

2. **Search for datasets from UNFPA for population**

`https://data.humdata.org/api/action/package_search?q=population&fq=organization:unfpa&rows=10`<br>

3. **Get all downloadable resources for a specific dataset**

`https://data.humdata.org/api/action/package_show?id=ukraine-border-crossings`

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.humdata.org/build/hdx-apis/metadata-endpoints/package_show.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
